Package org.eclipse.m2m.atl.adt.ui.wizard.atlfile

# Class AtlFileWizard

java.lang.Object
org.eclipse.jface.wizard.Wizard
org.eclipse.m2m.atl.adt.ui.wizard.atlfile.AtlFileWizard

All Implemented Interfaces:
  `org.eclipse.core.runtime.IExecutableExtension`, `org.eclipse.jface.window.IShellProvider`, `org.eclipse.jface.wizard.IWizard`, `org.eclipse.ui.INewWizard`, `org.eclipse.ui.IWorkbenchWizard`

public class AtlFileWizard extends org.eclipse.jface.wizard.Wizard implements org.eclipse.ui.INewWizard, org.eclipse.core.runtime.IExecutableExtension
The ATL new file wizard.

## Field Summary

### Fields inherited from class org.eclipse.jface.wizard.Wizard

`DEFAULT_IMAGE`

## Constructor Summary

Constructors
Constructor
Description
`AtlFileWizard()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`addPages()`
`boolean`
`canFinish()`
`String`
`getModuleNameFromFile()`
Returns the default module name.
`org.eclipse.jface.wizard.IWizardPage`
`getNextPage(org.eclipse.jface.wizard.IWizardPage page)`
`void`
`init(org.eclipse.ui.IWorkbench currentWorkbench, org.eclipse.jface.viewers.IStructuredSelection structuredSelection)`
`boolean`
`performFinish()`
`void`
`setInitializationData(org.eclipse.core.runtime.IConfigurationElement config, String propertyName, Object data)`

### Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getMinimumWizardSize, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.wizard.IWizard

`createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getMinimumWizardSize, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

## Constructor Details

### AtlFileWizard

public AtlFileWizard()
Constructor.

## Method Details

### addPages

public void addPages()

Specified by:
  `addPages` in interface `org.eclipse.jface.wizard.IWizard`
Overrides:
  `addPages` in class `org.eclipse.jface.wizard.Wizard`
See Also:
  - `Wizard.addPages()`

### performFinish

public boolean performFinish()

Specified by:
  `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
Specified by:
  `performFinish` in class `org.eclipse.jface.wizard.Wizard`
See Also:
  - `Wizard.performFinish()`

### getNextPage

public org.eclipse.jface.wizard.IWizardPage getNextPage(org.eclipse.jface.wizard.IWizardPage page)

Specified by:
  `getNextPage` in interface `org.eclipse.jface.wizard.IWizard`
Overrides:
  `getNextPage` in class `org.eclipse.jface.wizard.Wizard`
See Also:
  - `Wizard.getNextPage(org.eclipse.jface.wizard.IWizardPage)`

### getModuleNameFromFile

public String getModuleNameFromFile()
Returns the default module name.

Returns:
  the default module name

### init

public void init(org.eclipse.ui.IWorkbench currentWorkbench, org.eclipse.jface.viewers.IStructuredSelection structuredSelection)

Specified by:
  `init` in interface `org.eclipse.ui.IWorkbenchWizard`
See Also:
  - `IWorkbenchWizard.init(org.eclipse.ui.IWorkbench, org.eclipse.jface.viewers.IStructuredSelection)`

### setInitializationData

public void setInitializationData(org.eclipse.core.runtime.IConfigurationElement config, String propertyName, Object data) throws org.eclipse.core.runtime.CoreException

Specified by:
  `setInitializationData` in interface `org.eclipse.core.runtime.IExecutableExtension`
Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  - `IExecutableExtension.setInitializationData(org.eclipse.core.runtime.IConfigurationElement, java.lang.String, java.lang.Object)`

### canFinish

public boolean canFinish()

Specified by:
  `canFinish` in interface `org.eclipse.jface.wizard.IWizard`
Overrides:
  `canFinish` in class `org.eclipse.jface.wizard.Wizard`
See Also:
  - `Wizard.canFinish()`